Bug Hunting Session
Bug 55034 - Hebrew text rendering is broken in a few fonts, including fonts chosen as the default
Summary: Hebrew text rendering is broken in a few fonts, including fonts chosen as the...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks: Fonts RTL-Hebrew
  Show dependency treegraph
 
Reported: 2012-09-17 21:14 UTC by Eyal Rozenberg
Modified: 2017-11-05 08:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bug manifestation (12.91 KB, image/png)
2012-09-17 21:14 UTC, Eyal Rozenberg
Details
screenshot of broken hebrew rendering with a few fonts (57.03 KB, image/png)
2012-09-30 11:52 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2012-09-17 21:14:07 UTC
Created attachment 67296 [details]
bug manifestation

I just upgraded from LO 3.4 to LO 3.6.1.2 release. Fired up the writer and started writing on the first line. To my dismay, after typing in a sentence, the rendering began to be botched - new chars entered not appearing, blank space rendered at the place where text is supposed to be, text rendered to the right of the page edge etc.

This happens both with print layout and regular layout. Did not mess with any styles.

Screenshot attached.
Comment 1 Urmas 2012-09-18 00:52:12 UTC
Have you set default fonts for complex scripts correctly?
Comment 2 Eyal Rozenberg 2012-09-18 06:22:25 UTC
I've not touched them, and the default should of course be a correct setting.

Changing the CTL font (from Lucida Sans to Lucida Sans Unicode, Tahoma or David) seems to fix the problem - but sometimes requires deleting the line and retyping it or otherwise triggering a repaint.
Comment 3 Eyal Rozenberg 2012-09-18 06:30:53 UTC
Also, I see this problem when opening rtf files without the Hebrew font set, so the default font (Lucida Sans) is used.
Comment 4 Eyal Rozenberg 2012-09-18 15:03:30 UTC
Downgrading severity due to workaround...
Comment 5 Eyal Rozenberg 2012-09-18 15:03:45 UTC Comment hidden (obsolete)
Comment 6 Lior Kaplan 2012-09-29 09:41:39 UTC
@Eyal

Does this also happen if you remove the LibO user private settings (in your homedir)? I'm trying to understand if that's an upgrade problem (old settings, new program) or a bug in the current program.
Comment 7 Eyal Rozenberg 2012-09-29 18:13:02 UTC
(In reply to comment #6)
> Does this also happen if you remove the LibO user private settings (in your
> homedir)? 

Yes. But if I have the Culmus fonts installed, Nachlieli CLM is chosen as the default and I don't see the bug.
Comment 8 Lior Kaplan 2012-09-30 11:52:56 UTC
Created attachment 67880 [details]
screenshot of broken hebrew rendering with a few fonts

I don't have the Lucida font on my Debian/Ubuntu, but I could get something similar with these fonts (screenshot attached) on LibO 3.6.0.4
- Khmer OS
- Phetsarath OT

Eyal - Do you have the problem on Windows? If so, which version.

I think your problem could be fixed by changing in the default font in share/registry/main.xcd which is space less version of http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu#185

Changing (for Hebrew only):
Lucidasans;Lucida Sans; -> lucidasansunicode; Lucida Sans Unicode;

If this fixes your problem, I'll make it permanent.
Comment 9 Eyal Rozenberg 2012-09-30 14:51:58 UTC
Changing the font does fix things - but the bigger problem is that the default font (or one alternative for the default font) LO is configured to have exhibits this problem. So it's the distribution font which needs to be changed, I believe, at least for CTL. Either that or bundling a default font (which I'm not sure is relevant.)
Comment 10 Lior Kaplan 2012-10-18 21:34:17 UTC
Removing from RTL meta, as this is Hebrew specific bug.
Comment 11 Not Assigned 2012-10-22 16:23:18 UTC
Lior Kaplan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a40f08c1ac97078fa501da7c6dc456aa12146f25

fdo#55034 Update default Hebrew font from Lucida Sans to Lucida Sans Unicode



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Not Assigned 2012-11-12 20:32:04 UTC
Lior Kaplan committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=283fd1bda90f3d1325a7adeeb4c33a891efb4a4a&g=libreoffice-3-6

fdo#55034 Update default Hebrew font from Lucida Sans to Lucida Sans Unicode


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.